const WebsiteManagement = [
    {
        path: '/consultManage',
        name: 'consultManage',
        meta: {
            title: '咨询管理',
            ast_nav: true,
            keeproute: true,
        },
        component: () => import('@/WebsiteManagement/consultManage/index')
    },
    {
        path: '/caseManage',
        name: 'caseManage',
        meta: {
            title: '咨询管理',
            ast_nav: true,
            keeproute: true,
        },
        component: () => import('@/WebsiteManagement/caseManage/index')
    },
    {
        path: '/serviceAppointMag',
        name: 'serviceAppointMag',
        meta: {
            title: '服务预约管理',
            ast_nav: true,
            keeproute: true,
        },
        component: () => import('@/WebsiteManagement/serviceAppointMag/index'),
        children:[
            {
                path: '/serviceAppointMagDetail',
                name: 'serviceAppointMag',
                meta: {
                    title: '服务预约管理详情',
                    ast_nav: true,
                },
                component: () => import(/* webpackChunkName: "about" */ '@/WebsiteManagement/serviceAppointMag/detail/index'),
            },
        ]
    },
    {
        path: '/marketproductMag',
        name: 'marketproductMag',
        meta: {
            title: '营销产品管理',
            ast_nav: true,
            keeproute: true,
        },
        component: () => import('@/WebsiteManagement/marketproductMag/index')
    },
];
export default WebsiteManagement;
