import api from '../api/api'
import tool from './tool'
import store from '../store/index'
import router from '../router';
var areaData = [];
/* 企业列表数据 */
var enterpriseList = []

function arealist () {
  api.requested({
    "classname": "system.tools",
    "method": "query_arealist",
    "content": {
    }
  }).then(res=>{
    areaData =  tool.createMenu(res.data)
  })
}

function getEnterpriseList () {
  api.requested({
    "id": 20221021095802,
    "content": {
        "pageNumber": 1,
        "pageSize": 99999,
        "where": {
            "condition": ""
        }
    },
  }).then(res=>{
    enterpriseList = res.data
  })
}
function findAppByName(systems, targetName) {

  let foundApp = null;
  function search(systems) {
    for (let i = 0; i < systems.length; i++) {
      const system = systems[i];
      if (system.modules && system.modules.length > 0) {
        search(system.modules); // 递归调用搜索函数
      }
      if (system.apps) {
        const app = system.apps.find((app) => app.name === targetName);
        if (app) {
          foundApp = app;
          break; // 找到目标 app 后停止搜索
        }
      }
    }
  }
  search(systems);
  return foundApp;
}
 // 查询应用授权
function query_userauth (fn) {
  return new Promise((reslove, reject)=>{
    api.requested({
      "classname": "sysmanage.develop.userauthforweb.userauth",
      "method": "query_userauth",
      "content": {
        "place":1
      }
    }).then((res)=>{

      let active_modules = res.data[0].modules[0]
      sessionStorage.setItem('module_info', JSON.stringify(res.data))
      sessionStorage.setItem('active_modules', JSON.stringify(active_modules))

      let oldApp = JSON.parse(sessionStorage.getItem('activeApp'))
      if (oldApp && findAppByName(res.data,oldApp.name) ) {
        store.dispatch('setActiveApp',{name:active_modules.apps[0].systemappname,app:active_modules.apps[0],val:''})
      } else {
        const link = ()=>{
          router.push({path:active_modules.apps[0].path})
        }
        store.dispatch('setActiveApp',{name:active_modules.apps[0].systemappname,app:active_modules.apps[0],val:'',link})
      }
      fn ? fn() :''

      reslove()
    })
  })
}
// 查询文件夹ID信息
function querySite_Parameter () {
  api.requested({
    "classname": "webmanage.site.site",
    "method": "querySite_Parameter",
    "content": {
    }
  }).then((res)=>{
    let obj = {
      appfolderid: res.data.appfolderid, // 应用附件文件夹ID
      salematerialfolderid: res.data.salematerialfolderid // 营销物文件夹ID
    }
    sessionStorage.setItem('folderid',JSON.stringify(obj))
  })
}
setTimeout(() => {
  arealist ()
  getEnterpriseList()
},3000)


export default{
  query_userauth,
  querySite_Parameter,
  data () {
    return {
      areaData,
      'enterpriseList':enterpriseList
    }
  }
}
