export default {
    install (Vue)  {
        /* table懒加载 */
        Vue.directive('tableLoad',{
            bind (el,binding) {
            let tableWarp = el.querySelector('.el-table__body-wrapper')
            function handleFun (e) {
                if (tableWarp.scrollTop + tableWarp.clientHeight >= tableWarp.scrollHeight) {
                binding.value()
                }
            }
            tableWarp.addEventListener('scroll',handleFun)
            el.tableWarp = tableWarp
            el.handleFun = handleFun
            },
            unbind (el,binding) {
            /* 解绑 */
            el.tableWarp.removeEventListener('scroll',el.handleFun)
            }
        })
    }
 }